import {DocumentNode} from 'substance'

class IsolatedNote extends DocumentNode {}

// TODO -- rename parentNoteId to calloutId
// TODO -- should we get rid of index?
// TODO -- callout id should not be optional

IsolatedNote.define({
  type: 'isolated-note',
  content: 'text',
  index: {
    type: 'number',
    optional: true
  },
  parentNoteId: {
    type: 'string',
    optional: true
  }
})

export default IsolatedNote
